<html>
<head>

<style type="text/css">
<!--
	td {text-decoration:none; font-size:11px; font-family:Arial; color:#000000;}
        a {font-weight:bold; text-decoration:none; font-size:11px; font-family:Arial; color:#000000;}
        a:hover {font-weight:bold; font-size:11px; font-family:Arial; color:#948C7B;}
//-->
</style>

</head>

<body bgcolor="#ffffff">

<br>

<?PHP

	// Basic settings for the image script.
	$IMAGE_DIR = "images"; // The directory where all the folders containing images are stored.
	$THUMB_DIR = "thumbnails"; // The directory in each image directory where thumbnails are stored.
	$SRC_DIR = "upload"; // The directory where the user uploads his images.
	$BIG_SIZE = 850; // The y-size for each "big" image
	$THUMB_SIZE = 100; // The y-size for each thumbnail
	$WATERMARK1 = "Copyright C Aktivitet & Paintball"; // The first string used to mark each image
	$WATERMARK2 = "http://www.mobilaktivitet.com"; // The second string used to mark each image
	$IMG_QUALITY = 100;
	$INFO_FILE = "info.txt"; // The name of the text file that contains information about the image directory

	function create_from_dir($source, $destination, $ysize, $stamp1, $stamp2)
	{
		$files = myscandir($source);

		foreach($files as $file)
		{
			if($file == $GLOBALS[INFO_FILE] && $ysize != $GLOBALS[THUMB_SIZE])
			{
				copy($source."/".$file, $destination."/".$file);
				chmod($destination."/".$file, 0666);
			}
			else if($file != $GLOBALS[THUMB_DIR] && $file != $GLOBALS[INFO_FILE])
			{
				$dest_file = $destination."/".$file;
				create_new_image($source."/".$file, $dest_file, $ysize, $stamp1, $stamp2);
				chmod($dest_file, 0666);
			}
		}
	}

	function myscandir($path)
	{
		if($dh = @opendir($path))
		{
			$n = 0;
			while(($item = readdir($dh)) !== false)
			{
				if($item != "." && $item != ".." && $item != "_vti_cnf")
					$contents[$n++] = $item;
			}
		}
		return $contents;
	}

	function create_new_image($source, $output, $thumb_y, $stamp1, $stamp2)
	{
		global $IMG_QUALITY;
		$img_properties = GetImageSize($source);
		if(!$img_properties[2] == 2)
			return(0);
		else
		{
			$src_img = imagecreatefromjpeg($source);
			$src_x = $img_properties[0];
			$src_y = $img_properties[1];

			//ensures that the image about to be created has a positive size but not a huge one
			if($thumb_y <= 0 || $thumb_y > 1500)
				return(0);

			$scale = $thumb_y/$src_y;
			$thumb_x = (int)(round($src_x * $scale));
			$thumb_y = (int)($thumb_y);
			$dest_img = imagecreatetruecolor($thumb_x, $thumb_y);

			// try to resize and copy the source image into the thumbnail image
			if(!imagecopyresized($dest_img, $src_img, 0, 0, 0, 0, $thumb_x, $thumb_y, $src_x, $src_y))
			{
				imagedestroy($src_img);
				imagedestroy($dest_img);
				return(0);
			}
			else
			{
				imagedestroy($src_img);

				if($stamp1 != "")
				{
					$textcolor = imagecolorallocate($dest_img, 255, 255, 255);
					imagestring($dest_img, 5, 10, 5, $stamp1, $textcolor);
				}

				if($stamp2 != "")
				{
					$textcolor = imagecolorallocate($dest_img, 255, 255, 255);
					imagestring($dest_img, 5, 10, 20, $stamp2, $textcolor);
				}

				// try to actually generate the thumbnail image file
				if(imagejpeg($dest_img, $output, $IMG_QUALITY))
				{
					imagedestroy($dest_img);
					return(1);
				}
			}
			imagedestroy($dest_img);
			return(0);
		}
	}

	function deldir($dir)
	{
		$handle = opendir($dir);
		while (false!==($FolderOrFile = readdir($handle)))
		{
		if($FolderOrFile != "." && $FolderOrFile != "..")
		{ 
			if(is_dir("$dir/$FolderOrFile"))
			{
				deldir("$dir/$FolderOrFile");
			}
				else
				{
					unlink("$dir/$FolderOrFile");
				}
			} 
		}
		closedir($handle);
		return rmdir($dir);
	}

	$src_contents = myscandir($SRC_DIR);

	if(count($src_contents)>0)
	{
		foreach($src_contents as $src)
		{
			// If the project dir doesn't exist...
			if(!is_dir($IMAGE_DIR."/".$src))
			{
				// Create THIS project dir in $IMAGE_DIR with the same name as $src and fill it with pictures using create_from_dir()
				if(@mkdir($IMAGE_DIR."/".$src))
				{
					chmod($IMAGE_DIR."/".$src, 0777);
					create_from_dir($SRC_DIR."/".$src, $IMAGE_DIR."/".$src, $BIG_SIZE, $WATERMARK1, $WATERMARK2);
				}
			}
	
			if(is_dir($IMAGE_DIR."/".$src."/".$THUMB_DIR))
			{
				$big_pics = myscandir($IMAGE_DIR."/".$src);
				$thumb_pics = myscandir($IMAGE_DIR."/".$src."/".$THUMB_DIR);
				if(count($thumb_pics)+2 != count($big_pics) && count($thumb_pics)+1 != count($big_pics))
				{
					deldir($IMAGE_DIR."/".$src."/".$THUMB_DIR);
				}
			}

			// If the thumbnail dir doesn't exist...
			if(!is_dir($IMAGE_DIR."/".$src."/".$THUMB_DIR))
			{
				// Create a $THUMB_DIR dir in THIS project dir ($src) and fill it with pictures using create_from_dir
				if(@mkdir($IMAGE_DIR."/".$src."/".$THUMB_DIR))
				{
					chmod($IMAGE_DIR."/".$src."/".$THUMB_DIR, 0777);
					create_from_dir($IMAGE_DIR."/".$src, $IMAGE_DIR."/".$src."/".$THUMB_DIR, $THUMB_SIZE, "", "");
				}
			}
		}
	}
PHP?>

<br><center><table border=0 cellpadding=0 cellspacing=0 bgcolor="#cccccc">
<tr>
   <td width=700 align=left bgcolor="#000000"><img src="logga2.gif"></td>
</tr>
<tr>
   <td height=60 align="center" valign="bottom"><font style="font-weight:bold; font-size:14px;">Kundbilder</font></td>
</tr>
<tr>
   <td height=10></td>
</tr>
<?PHP
	$projects = myscandir($IMAGE_DIR);
	if(count($projects) > 0)
	foreach($projects as $project)
	{
		echo "<tr>\n<td align=center>";

		$fp = @fopen($IMAGE_DIR."/".$project."/".$INFO_FILE, 'ro');
		if($fp != "")
		{
			$contents = fread($fp, filesize($IMAGE_DIR."/".$project."/".$INFO_FILE));
			fclose($fp);
			echo $contents."<br>";
		}

		$thumbnails = myscandir($IMAGE_DIR."/".$project."/".$THUMB_DIR);
		for($n = 0; $n < 4; $n++)
		{
			echo "<a href=\"showitem.php?item=$project\"><img src=\"".$IMAGE_DIR."/".$project."/".$THUMB_DIR."/".$thumbnails[$n]."\" border=0></a>\n";
		}
		echo "</td>\n</tr>\n<td height=45></td>\n</tr>\n";
	}
PHP?>
<tr>
   <td height=120 align="center"><input type="button" value="Stng detta fnster" onclick="self.close();"><p>Copyright  Aktivitet & Paintball 2003-<?PHP    echo date("Y"); PHP?></td>
</tr>
</table></center>

</body>
</html>
